import request from '@/utils/request'

// 查询站点白名单列表
export function listWhitelist(query) {
  return request({
    url: '/pile/whitelist/list',
    method: 'get',
    params: query
  })
}

// 查询站点白名单详细
export function getWhitelist(id) {
  return request({
    url: '/pile/whitelist/' + id,
    method: 'get'
  })
}

// 新增站点白名单
export function addWhitelist(data) {
  return request({
    url: '/pile/whitelist',
    method: 'post',
    data: data
  })
}

// 修改站点白名单
export function updateWhitelist(data) {
  return request({
    url: '/pile/whitelist',
    method: 'put',
    data: data
  })
}

// 删除站点白名单
export function delWhitelist(id) {
  return request({
    url: '/pile/whitelist/' + id,
    method: 'delete'
  })
}
